<back to all web services

CommentsFilter

The following routes are available for this service:
GET/RestApi/comments-api/comments
import Foundation
import ServiceStack

public class CommentsFilter : Codable
{
    public var threadKey:String
    public var skip:Int
    public var take:Int
    public var sortDescending:Bool
    public var newerThan:Date
    public var olderThan:Date

    required public init(){}
}

public class CollectionResponse<CommentResponse : Codable> : Codable
{
    public var totalCount:Int
    public var items:[CommentResponse] = []

    required public init(){}
}

public class CommentResponse : Codable
{
    public var key:String
    public var name:String
    public var message:String
    public var dateCreated:Date
    public var profilePictureUrl:String
    public var profilePictureThumbnailUrl:String
    public var status:String
    public var email:String
    public var threadKey:String
    public var authorIpAddress:String
    public var customData:String
    public var rating:Double?

    required public init(){}
}


Swift CommentsFilter DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .xml suffix or ?format=xml

HTTP + XML

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /RestApi/comments-api/comments HTTP/1.1 
Host: www.asg.com.au 
Accept: application/xml
HTTP/1.1 200 OK
Content-Type: application/xml
Content-Length: length

<CollectionResponseOfCommentResponseXvaRN2Ag xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Telerik.Sitefinity.Services.Comments.DTO">
  <Items i:nil="true" />
  <TotalCount>0</TotalCount>
</CollectionResponseOfCommentResponseXvaRN2Ag>